/* string descriptions of quantitative system components */

/* environment */
myDeltaQ('[ y = ({ }.y0 + { d }.y1 + { d }.y2 + { d }.y3 ) , 
	        y0 = { }.y0 , 
	        y1 = { }.{ }.{ }.{ d }.y1,
	        y2 = { }.{ d }.y2,
	        y3 = { }.{ }.{ d }.y3
	      ]').

/* initial entities, if any */
myEQ('{ ti }').

/* context processes */
%1 (LTS)  - myKsQ('[ y ]').
%2 (RUN1) - myKsQ('[ { ifngamma(2) }.{}.{}.{}.{}.{}.{}.{}.nil ]').
%3 (RUN2) - myKsQ('[ { il12 , il18 }.{}.{}.{}.{}.{}.{}.{}.{}.{}.{}.nil ]').
myKsQ('[ y ]').

/* reactions (the keyword react can be omitted)*/

%% sigma=1, delta=1
%% myRsQ('[
%% ( { ti },	{ da },		{ tm(1) } ),
%% ( { tm },	{  },		{ ti } ),
%% ( { d },	{  },		{ da } )
%% ]').

%% sigma=1, delta=2
%% myRsQ('[
%% ( { ti },	{ da },		{ tm(1) } ),
%% ( { tm },	{  },		{ ti } ),
%% ( { d },	{  },		{ da, da(1) } )
%% ]').

%% sigma=1, delta=3
myRsQ('[
( { ti },	{ da },		{ tm(1) } ),
( { tm },	{  },		{ ti } ),
( { d },	{  },		{ da(0) , da(1) , da(2) } )
]').

%% sigma=3, delta=3
%% myRsQ('[
%% ( { ti },	{ da },		{ tm(3) } ),
%% ( { tm },	{  },		{ ti } ),
%% ( { d },	{  },		{ da(0) , da(1) , da(2) } )
%% ]').


/* CHANGE YOUR FILE PATHS IN BioReSolve.pl 

to check that your whole specification is correctly parsed try
?- mysystemQ(S).

to check single parts of the specification try one of the following
?- myparsedenvironmentQ(DeltaQ).
?- myparsedentitiesQ(EQ).
?- myparsedcontextQ(KsQ).
?- myparsedreactionsQ(RsQ). 

to save a single maximal trace on the file system (AVOID RECURSION!):
?- main_do_Q(run).

to save a single maximal trace on the file system as a .csv file (AVOID RECURSION!):
?- main_do_Q(csv).

to save the LTS on the file system:
?- main_do_Q(digraph).

*/




/* SAMPLE NON QUANTITATIVE SPECS - DO NOT DELETE */
myentities([]).
myreactions([react([a,b],[c],[b])]).
mycontext("[({a,b}.{a}.{a,c}.nil + {a,b}.{a}.{a}.nil)]").
myenvironment("[]").

myexperiment([1],[[]]).

myassert("-{c} inW").

mybhml("<-{c} inW>[-{c} inW]<-{c} inW>true").

adventities(E) :- myentities(E).
advreactions(Rs) :- myreactions(Rs).
advcontext("[{a,b}.{a}.{a,c}.nil]").


