/* string descriptions of quantitative system components */

/* environment */
myDeltaQ('[ x = {}.x ]').

/* initial entities, if any */
myEQ('{ c(0,1) , ca(0,1) , x(0,10) , ve(0,5) , t(0,1)}').

/* context processes */
myKsQ('[ <12,x>.nil ]').

/* reactions (the keyword react can be omitted)*/

myRsQ('[
( { ca(x+1) },					{ ca(0,10) },		{ ca(2x+2) } ),
( { x(x+1) },					{ xstar(0,1) },		{ x(x+1) } ),
( { ve(x+1) },					{ vestar(0,1) },	{ ve(x+1) } ),
( { ca(x+10) , x(x+10) },		{ },				{ xstar(x+10) } ),
( { xstar(0,10) , ve(x+1) },	{ },				{ x(0,10) , vestar(x+1) } ),
( { vestar(x+1) },				{ },				{ t(0,1) , ve(x+1) } ),
( { c(x+1) },					{ t(0,1) },			{ c(x+1) } ),
( { t(0,1)  },					{ },				{ o(0,1) } ),
( { o(0,1) },					{ },				{ c(0,1) , ca(0,1) } )
]').

/* CHANGE YOUR FILE PATHS IN BioReSolve.pl 

to check that your whole specification is correctly parsed try
?- mysystemQ(S).

to check single parts of the specification try one of the following
?- myparsedenvironmentQ(DeltaQ).
?- myparsedentitiesQ(EQ).
?- myparsedcontextQ(KsQ).
?- myparsedreactionsQ(RsQ). 

to save a single maximal trace on the file system (AVOID RECURSION!):
?- main_do_Q(run).

to save a single maximal trace on the file system as a .csv file (AVOID RECURSION!):
?- main_do_Q(csv).

to save the LTS on the file system:
?- main_do_Q(digraph).

*/




/* SAMPLE NON QUANTITATIVE SPECS - DO NOT DELETE */
myentities([]).
myreactions([react([a,b],[c],[b])]).
mycontext("[({a,b}.{a}.{a,c}.nil + {a,b}.{a}.{a}.nil)]").
myenvironment("[]").

myexperiment([1],[[]]).

myassert("-{c} inW").

mybhml("<-{c} inW>[-{c} inW]<-{c} inW>true").

adventities(E) :- myentities(E).
advreactions(Rs) :- myreactions(Rs).
advcontext("[{a,b}.{a}.{a,c}.nil]").


